﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        table
        {
            border: 1px solid #ccc;
            border-collapse: collapse;
            background-color: #fff;
            width:200px;
        }
        table th
        {
            background-color: #B8DBFD;
            color: #333;
            font-weight: bold;
        }
        table th, table td
        {
            padding: 5px;
            border: 1px solid #ccc;
        }
        table, table table td
        {
            border: 0px solid #ccc;
        }
    </style>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
    <script type="text/javascript">
        $(function () {
            $.ajax({
                type: "POST",
                url: "CS.aspx/GetCustomers",
                data: '{}',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: OnSuccess,
                failure: function (response) {
                    alert(response.d);
                },
                error: function (response) {
                    alert(response.d);
                }
            });
        });

        function OnSuccess(response) {
            var xmlDoc = $.parseXML(response.d);
            var xml = $(xmlDoc);
            var customers = xml.find("Table");
            var table = $("#dvCustomers table").eq(0).clone(true);
            $("#dvCustomers table").eq(0).remove();
            customers.each(function () {
                var customer = $(this);
                $(".name", table).html(customer.find("ContactName").text());
                $(".city", table).html(customer.find("City").text());
                $(".postal", table).html(customer.find("PostalCode").text());
                $(".country", table).html(customer.find("Country").text());
                $(".phone", table).html(customer.find("Phone").text());
                $(".fax", table).html(customer.find("Fax").text());
                $("#dvCustomers").append(table).append("<br />");
                table = $("#dvCustomers table").eq(0).clone(true);
            });
        }
    </script>
</head>
<body style="font-family: Arial; font-size: 10pt">
    <form id="form1" runat="server">
    <div id="dvCustomers">
        <asp:Repeater ID="rptCustomers" runat="server">
            <ItemTemplate>
                <table class="tblCustomer" cellpadding="2" cellspacing="0" border="1">
                   <tr>
                        <th>
                            <b><u><span class="name">
                                <%# Eval("ContactName") %></span></u></b>
                        </th>
                    </tr>
                    <tr>
                        <td>
                            <b>City: </b><span class="city"><%# Eval("City") %></span><br />
                            <b>Postal Code: </b><span class="postal"><%# Eval("PostalCode") %></span><br />
                            <b>Country: </b><span class="country"><%# Eval("Country")%></span><br />
                            <b>Phone: </b><span class="phone"><%# Eval("Phone")%></span><br />
                            <b>Fax: </b><span class="fax"><%# Eval("Fax")%></span><br />
                        </td>
                    </tr>
                </table>
            </ItemTemplate>
        </asp:Repeater>
    </div>
    </form>
</body>
</html>
